% \usepackage[usenames,dvipsnames]{pstricks}
% \usepackage{epsfig}
% \usepackage{pst-grad} % For gradients
% \usepackage{pst-plot} % For axes
% \usepackage[space]{grffile} % For spaces in paths
% \usepackage{etoolbox} % For spaces in paths
% \makeatletter % For spaces in paths
% \patchcmd\Gread@eps{\@inputcheck#1 }{\@inputcheck"#1"\relax}{}{}
% \makeatother
% % User Packages:
% 
% 

\psscalebox{1.0 1.0} % Change this value to rescale the drawing.
{
\begin{pspicture}(0,-3.5735295)(17.514118,3.5735295)
\psframe[linecolor=black, linewidth=0.04, dimen=outer](12.82,3.4264705)(9.42,1.4264706)
\pspolygon[linecolor=black, linewidth=0.04](7.02,3.4264705)(7.02,1.4264706)(8.42,2.4264705)
\psline[linecolor=black, linewidth=0.04](8.42,2.4264705)(9.42,2.4264705)
\pscircle[linecolor=black, linewidth=0.04, dimen=outer](5.6555557,2.4175818){0.4}
\rput[bl](5.3533335,2.319804){+}
\rput[bl](5.6955557,2.1331372){-}
\psline[linecolor=black, linewidth=0.04, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(6.042857,2.437899)(7.0314283,2.4436135)
\psline[linecolor=black, linewidth=0.04, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(13.22,2.4264705)(13.22,0.026470589)(5.62,0.026470589)(5.6430287,2.0617647)
\rput[bl](14.561176,2.6852942){Vitesses mesurées}
\rput[bl](10.02,2.3323529){Moteurs Robot}
\psframe[linecolor=black, linewidth=0.04, dimen=outer](17.514118,1.367647)(13.937647,0.5088235)
\rput[bl](14.125882,0.6970588){Compas magnetique}
\psline[linecolor=black, linewidth=0.04, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(12.82,2.4264705)(15.82,2.4264705)(16.42,2.4264705)
\rput[bl](1.5729412,1.0147059){Correcteur angulaire}
\psline[linecolor=black, linewidth=0.04, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(1.6428572,2.437899)(2.6314285,2.4436135)
\pscircle[linecolor=black, linewidth=0.04, dimen=outer](1.2555555,2.4175818){0.4}
\rput[bl](0.9533333,2.319804){+}
\rput[bl](1.2955556,2.1331372){-}
\pspolygon[linecolor=black, linewidth=0.04](2.62,3.4264705)(2.62,1.4264706)(4.02,2.4264705)
\psline[linecolor=black, linewidth=0.04, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(4.02,2.4264705)(5.2552943,2.414706)
\rput[bl](3.4788234,3.2735295){Consigne vitesses}
\rput[bl](6.372941,0.8147059){Correcteur vitesse}
\psline[linecolor=black, linewidth=0.04, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(15.8325,0.4764706)(15.82,-0.9735294)(1.22,-0.9735294)(1.2552941,2.0617647)
\rput[bl](13.06,-0.7335294){angle mesuré}
\psframe[linecolor=black, linewidth=0.04, dimen=outer](10.145,-2.4235294)(5.77,-3.5735295)
\psline[linecolor=black, linewidth=0.04, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(15.82,-2.3735294)(15.82,-2.5735295)(15.82,-2.9735293)(10.145,-2.9235294)
\psframe[linecolor=black, linewidth=0.04, dimen=outer](17.445,-1.6735294)(14.32,-2.4235294)
\rput[bl](14.445,-2.2485294){Detection de ligne}
\rput[bl](6.295,-3.1235294){Contrôler suivi de ligne}
\psline[linecolor=black, linewidth=0.04, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(5.82,-2.9735293)(0.02,-2.9735293)(0.02,2.4264705)(0.895,2.4514706)
\rput[bl](1.4788235,-2.7264705){Consigne angulaire}
\psline[linecolor=black, linewidth=0.04, linestyle=dotted, dotsep=0.10583334cm, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(15.885909,2.3696525)(15.895,1.3264706)
\psline[linecolor=black, linewidth=0.04, linestyle=dotted, dotsep=0.10583334cm, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(15.82,-0.9826203)(15.8154545,-1.6735294)
\end{pspicture}
}
